/*
 * hard.h
 *
 * Created: 2016-06-09 10:18:24
 *  Author: dsosnowski
 */ 


#ifndef HARD_H_
#define HARD_H_


#define OUTS_PORT		PORTD		//H active
#define OUTS_DDR		DDRD
#define OUT1_PIN		4
#define OUT2_PIN		3
#define OUT3_PIN		1
#define OUT4_PIN		0

#define INPUTS_PORT		PORTC		//L active
#define INPUTS_PIN		PINC
#define INPUT2_PIN		0
#define INPUT3_PIN		2
#define INPUT4_PIN		4

#define INPUT_1_PORT	PORTB		//L active
#define INPUT_1_PIN		PINB
#define INPUT1_PIN		4

#define INPUT_SYN_PORT	PORTB		//L active
#define INPUT_SYN_DDR	DDRB
#define INPUT_SYN_PIN	PINB
#define INPUT_SYN		0

#define CFG4_PORT		PORTB
#define CFG4_DDR		DDRB
#define CFG4_PIN		PINB
#define CFG_PK3_PIN		1
#define CFG_PK4_PIN		2

#define CFGS_PORT		PORTD
#define CFGS_DDR		DDRD
#define CFGS_PIN		PIND
#define CFG_SEL_PIN		7
#define CFG_PK2_PIN		5
#define CFG_PK1_PIN		6

#define LED34_PORT		PORTC	//L
#define LED34_DDR		DDRC
#define LED3_PIN		1
#define LED4_PIN		3

#define LED12_PORT		PORTB	//L
#define LED12_DDR		DDRB
#define LED1_PIN		3
#define LED2_PIN		5


#define MASTER_MODE_GET	(CFGS_PIN & (1<<CFG_SEL_PIN))

#define MASTER_RST_GET	(INPUT_SYN_PIN & (1<<INPUT_SYN))
#define MASTER_RST_OFF	(INPUT_SYN_DDR &= ~(1<<INPUT_SYN))
#define MASTER_RST_SET	(INPUT_SYN_DDR |=  (1<<INPUT_SYN))


#endif /* HARD_H_ */